org.apache.ignite.internal.processors.igfs

## Class IgfsPaths

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsPaths

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsPaths
    extends Object
    implements Externalizable

Description of path modes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsPaths()` Empty constructor required by `Externalizable`.
`IgfsPaths(Object payload, IgfsMode dfltMode, List<T2<IgfsPath,IgfsMode>> pathModes)` Constructor.

### Method Summary

Methods
`IgfsMode` `defaultMode()`
`Object` `getPayload(ClassLoader clsLdr)`
`List<T2<IgfsPath,IgfsMode>>` `pathModes()`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsPaths

    public IgfsPaths()

Empty constructor required by `Externalizable`.

#### IgfsPaths

    public IgfsPaths(Object payload,
             IgfsMode dfltMode,
             @Nullable
             List<T2<IgfsPath,IgfsMode>> pathModes)
              throws IgniteCheckedException

Constructor.

Parameters:
  `payload` - Payload.
  `dfltMode` - Default IGFS mode.
  `pathModes` - Path modes.
Throws:
  `IgniteCheckedException` - If failed.

### Method Detail

#### defaultMode

    public IgfsMode defaultMode()

Returns:
  Default IGFS mode.

#### pathModes

    @Nullable
    public List<T2<IgfsPath,IgfsMode>> pathModes()

Returns:
  Path modes.

#### getPayload

    @Nullable
    public Object getPayload(ClassLoader clsLdr)
                      throws IgniteCheckedException

Returns:
  Payload.
Throws:
  `IgniteCheckedException` - If failed to deserialize the payload.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016